# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
entries:
  solr:
  - annotations:
      artifacthub.io/changes: |
        - kind: changed
          description: Upgrade the default Solr version to 8.11
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/387
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/388
        - kind: changed
          description: The "addressability.external.additionalDomains" option has been renamed to "addressability.external.additionalDomainNames". See the upgrade notes for more information.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/412
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/416
        - kind: removed
          description: The deprecated "dataStorage.backupRestoreOptions" field has been removed.
          links:
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/418
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/images: |
        - name: solr
          image: solr:8.11
          whitelisted: true
      artifacthub.io/links: |
        - name: "Solr Source"
          url: https://github.com/apache/solr
        - name: "Helm Chart Source"
          url: https://github.com/apache/solr-operator
        - name: "Solr Documentation"
          url: https://solr.apache.org/guide/
        - name: "Solr on Kube Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "false"
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr-operator
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: 8.11.1
    created: "2022-08-06T21:25:04.88027-04:00"
    description: A SolrCloud cluser running on Kubernetes via the Solr Operator
    digest: af31de98eccc452e28970c047b742b60aab181a660b291f59a6bd4c3dd8b24a2
    home: https://solr.apache.org
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    kubeVersion: '>= 1.19.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr
    sources:
    - https://github.com/apache/solr
    - https://github.com/apache/solr-operator
    urls:
    - solr-0.6.0.tgz
    version: 0.6.0
  solr-operator:
  - annotations:
      artifacthub.io/changes: |
        - kind: changed
          description: Upgrade the default Solr version to 8.11
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/387
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/388
        - kind: changed
          description: The required Zookeeper Operator version has been upgraded to v0.2.14
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/443
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/449
            - name: Zookeeper Operator v0.2.14 Release
              url: https://github.com/pravega/zookeeper-operator/releases/tag/v0.2.14
        - kind: changed
          description: Loosen requirement on GCS backup credential/secret. Can now be omitted if using GKE's Workload Identity.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/391
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/394
        - kind: changed
          description: The "addressability.external.additionalDomains" option has been renamed to "addressability.external.additionalDomainNames". See the upgrade notes for more information.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/412
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/416
        - kind: added
          description: You can now do a managed update of Solr while using ephemeral data. The operator will manage data migration during the rolling update for you.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/365
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/375
        - kind: removed
          description: Options deprecated in v0.5.0 have been removed. See the upgrade notes for more information.
          links:
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/418
        - kind: fixed
          description: Fixed issue with StatefulSet volumeMounts for PVCs with custom names.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/438
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/439
        - kind: fixed
          description: SolrCloud pods are no longer deleted right after a SolrCloud is created.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/431
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/432
        - kind: fixed
          description: Fixed rolebindings when watching multiple namespaces
          links:
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/444
        - kind: fixed
          description: SolrClouds now support a ZookeeperConnection address without the port (uses 2181 by default). The operator will also log whenever the statefulSet is skipped because of the zkConnectionString.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/428
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/429
        - kind: fixed
          description: SolrCloud.Status now shows correct version when using an image repo that contains a colon
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/445
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/450
        - kind: added
          description: SolrCloud and SolrPrometheusExporter Services now have the appropriate (http or https) appProtocol set. This fixes integration with Istio.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/427
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/453
        - kind: changed
          description: SolrPrometheusExporters now default to using the references SolrCloud image if none is provided. Note, the entire PrometheusExporter image specification must be empty for it to use the SolrCloud image. This does not effect existing resources, only newly created resources.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/386
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/454
        - kind: added
          description: SolrCloud default initContainer(s) can now have their resources customized via `podOptions.defaultInitContainerResources`. These initContainers now include default resources.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/448
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/451
        - kind: changed
          description: SolrBackup.Status' 'Next Scheduled' is now updated on changes to the backup schedule.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/376
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/455
        - kind: changed
          description: SolrClouds can now use the Ingress controller's default TLS Secret when terminating TLS at the Ingress. The old `ingressTLSTerminationSecret` option is now deprecated. Refer the upgrade notes for more information.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/437
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/452
            - name: Upgrade Notes
              url: https://apache.github.io/solr-operator/docs/upgrade-notes.html#v060
            - name: Solr Addressability Docs
              url: https://apache.github.io/solr-operator/docs/solr-cloud/solr-cloud-crd.html#addressability
        - kind: added
          description: SolrCloud now accepts a `solrZkOpts` option for specifying any Java system properties needed to connect to ZooKeeper.
          links:
            - name: Github Issue
              url: https://github.com/apache/solr-operator/issues/435
            - name: Github PR
              url: https://github.com/apache/solr-operator/pull/456
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/crds: |
        - kind: SolrCloud
          version: v1beta1
          name: solrcloud.solr.apache.org
          displayName: Solr Cloud
          description: A distributed Solr Cloud cluster
        - kind: SolrPrometheusExporter
          version: v1beta1
          name: solrprometheusexporter.solr.apache.org
          displayName: Solr Prometheus Exporter
          description: A Prometheus metrics exporter for Solr
        - kind: SolrBackup
          version: v1beta1
          name: solrbackup.solr.apache.org
          displayName: Solr Backup
          description: A backup mechanism for Solr
      artifacthub.io/crdsExamples: |
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrCloud
          metadata:
            name: example
          spec:
            dataStorage:
              persistent:
                reclaimPolicy: Delete
                pvcTemplate:
                  spec:
                    resources:
                      requests:
                        storage: "20Gi"
            replicas: 3
            solrImage:
              tag: 8.11
            solrJavaMem: "-Xms4g -Xmx4g"
            customSolrKubeOptions:
              podOptions:
                resources:
                  requests:
                    memory: "6G"
            zookeeperRef:
              provided:
                replicas: 3
            solrOpts: "-Dsolr.autoSoftCommit.maxTime=10000"
            solrGCTune: "-XX:SurvivorRatio=4 -XX:TargetSurvivorRatio=90 -XX:MaxTenuringThreshold=8"
            backupRepositories:
              - name: default-gcs
                gcs:
                  bucket: solr-gcs-backups
                  gcsCredentialSecret: # Required unless deployed in GKE and using its "Workplace Identity" feature
                    name: gcs-credentials
                    key: "service-account-key.json"
                  baseLocation: "/solrcloud/backups"
              - name: default-s3
                s3:
                  region: us-west-2
                  bucket: solr-s3-backups
                  credentials:
                    accessKeyIdSecret: # Optional
                      name: aws-secrets
                      key: access-key-id
                    secretAccessKeySecret: # Optional
                      name: aws-secrets
                      key: secret-access-key
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrPrometheusExporter
          metadata:
            name: example
          spec:
            solrReference:
              cloud:
                name: "example"
            numThreads: 4
            image:
              tag: 8.11
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrBackup
          metadata:
            name: example
          spec:
            repositoryName: solr-gcs-backups
            solrCloud: example
            collections:
              - techproducts
              - books
            location: "/this/location"
      artifacthub.io/images: |
        - name: solr-operator
          image: apache/solr-operator:v0.6.0
      artifacthub.io/links: |
        - name: "Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "true"
      artifacthub.io/operatorCapabilities: Full Lifecycle
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: v0.6.0
    created: "2022-08-06T21:25:04.886868-04:00"
    dependencies:
    - condition: zookeeper-operator.install
      name: zookeeper-operator
      repository: https://charts.pravega.io
      version: 0.2.14
    description: The Solr Operator enables easy management of Solr resources within
      Kubernetes.
    digest: b2505c3d1cfe64bc3cbe7818207b4c8ced0f8bac2a8a1a416d28498e63103a40
    home: https://solr.apache.org/operator
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    - operator
    kubeVersion: '>= 1.19.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr-operator
    sources:
    - https://github.com/apache/solr-operator
    urls:
    - solr-operator-0.6.0.tgz
    version: 0.6.0
generated: "2022-08-06T21:25:04.879197-04:00"
